How do I define global variables in CoffeeScript?

On Coffeescript.org: bawbag = (x, y) -> z = (x * y) bawbag(5, 10) would compile to: var bawbag; bawbag = function(x, y) { var z; return (z = (x * y)); }; bawbag(5, 10); compiling via...

Cross-thread violation on rb_gc()

The codebase I'm working on was recently upgraded from Ruby 1.9.2 to Ruby 1.9.3 and from Rails 3.1 to Rails 3.2.2. Since I'm using RVM I simply did rvm install 1.9.3 which I would have expected...

Using less (2.2.1) raises an error requiring therubyracer (can't install therubyracer on windows)

I've been working to get twitter-bootstrap-rails gem working on my windows machine and ran into an error attempting to install 'therubyracer' gem which is a dependency of older version of the less...

NPM global install "cannot find module"

I wrote a module which I published to npm a moment ago (https://npmjs.org/package/wisp) So it installs fine from the command line: $ npm i -g wisp However, when I run it from the command line, I...

How to fix SSL certificate error when running Npm on Windows?

When I try to install a package with npm, it doesn't work. After a long wait, I eventually get an error 'tunneling socket could not be established, sutatusCode=403'. $ npm install...

RubyMine error of No Rails Found in the SDK

I updated to Ruby 2.0 and Rails 4.0 and RubyMine stopped working. If I do my Rails commands through command line tool, they work just fine but if I want to run my project through RubyMine (the...

Npm install failed with "cannot run in wd"

I am trying to get my node environment set up on a new Ubuntu 12.04 instance, with Node 0.8.14 already installed, but I ran into problems when I try to run npm install. So when I try npm install,...

Bundler::GemNotFound: Could not find rake-10.3.2 in any of the sources

I have been working with Rails and it sends me back this error. Please provide questions. Thanks for all the help. I will update this question with a better one because I don't know how to ask...

Meteor coffeescript source maps in production

Is there a way to get coffee script source maps when deploying to meteor.com or Heroku?

Karma/Jasmine times out without running tests

I'm trying to run Karma/Jasmine from Grunt on a project generated with http://newtriks.com/2013/12/31/automating-react-with-yeoman-and-grunt/ Karma launches PhantomJS (or Chrome) and, depending...

Can't install Devise

Trying to install Devise and I get the following message "Could not find generator devise:install." [email protected]:~/Projects/dev01$ bundle install Using rake 10.3.2 Using i18n...

Extract content of <script> with BeautifulSoup

1/ I am trying to extract a part of the script using beautiful soup but it prints Nothing. What's wrong ? URL =...

Not found error on browser after sails lift,

I am creating a new app with "sails new" command. Upon running sails lift, I am getting a "Not Found"(404) error on the browser. I have sails installed locally & here are my node & sails version...

NPM install for packages not working

T hanks in advance for any help I can get. I am trying to install packages like grunt, bower, and yeoman using nodejs and the NPM in my mac OSX 10.8's terminal. I check node and NPM's versions to...

Gemfile.lock contains merge conflicts

I just ran git push origin master and got this error after trying to run rails s: Your Gemfile.lock contains merge conflicts. Run `git checkout HEAD -- Gemfile.lock` first to get a clean...

ExecJS::RuntimeError Errors when creating new Ruby on Rails. Crash after controller

I'm having an issue creating a new Rails app. I created a test to and copied my command prompt to let you see what happens. The story is this: I can make the app, boot up the test server, and get...

npm - "Can't find Python executable "python", you can set the PYTHON env variable."

I'm trying to run the following command: npm install -g bower gulp cordova ionic [email protected] karma-cli protractor node-gyp coffee-script js-beautify typescript npm-check I have installed Python,...

Why ExecJS constantly uses 100% CPU?

I'm using Ruby 2.2.4 and Rails 4.2.5 and Capistrano to deploy, but after my latest commit suddenly server always uses 100% CPU. I used htop and saw command nodejs tmp/execjs use all the CPU. [CPU...

An error occurred while installing unf_ext (0.0.7.2), and Bundler cannot continue

I was trying to install diaspora into localhost. I removed the Gemfile.lock file and tried bundle install and am seeing this. These are the things I already...

How do I dynamically update the JSON-LD Script for the Schema type = Product

I have the following script, my question is given after the script. <script type="application/ld+json"> { "@context": "http://schema.org/", "@type": "Product", "name": "Coffee Mug", ...

What is the difference between preprocessor and transpiler?

I'm writing my thesis, and can't really find any clear answer to one question. What is the difference between preprocessors and transpilers (or transcompilers)? I already found what is the...

Detected sqlite3 gem which is not supported on Heroku. But it is not on the Gemfile

In my Gemfile I commented the line gem 'sqlite3' and I ran bundler update and bundler install and git add . and git commit -m "...". But the error keeps popping up when I try git push heroku...

How do I access my string in my locales file?

I want to access the following string from our config/locales/en.yml file in my coffee script page .. en: share_message: "Help our organization." Following this guide --...

Rubymine and yarn

I have an error with my RoR project when I try to start it using "Run" (shift+f10) But when I start the server using rails s in console, it works. ======================================== Your...

Why npm doesn't see quasar?

I installed quasar with a command: npm install -g @quasar/cli Then I tried to create an app folder already with quasar: quasar create callapp The console is run in Visual Studio Code (last...

Trying to run Ko-Fi widget inside a React component. Running <script> commands inside DIV

So, here's the script I have to run in order to implement a Ko-Fi widget on my website. <script type='text/javascript' src='https://ko-fi.com/widgets/widget_2.js'></script> <script...

FastAPI and Pydantic RecursionError Causing Exception in ASGI application

Description I've seen similar issues about self-referencing Pydantic models causing RecursionError: maximum recursion depth exceeded in comparison but as far as I can tell there are no...

How to run "rails console" without nokogiri "cannot load such file -- nokogiri/nokogiri (LoadError)" error on Mac?

I'm trying to build a Rails application on Mac OS Big Sur with the following versions ... $ rails --version Rails 5.0.7.2 $ ruby --version ruby 2.6.3p62 (2019-04-16 revision 67580)...

Error while running bundle update after doing git clone

I'm using window operating system for ruby on rails application. I just clone the git repository which is a ruby on rails application. But, when I do bundle update it shows this error libv8-node...

`materialize': Could not find

I'm seeing the following error it only is appearing in cron jobs using the whenever gem. The application is working correctly otherwise. The scheduled job doesn't run. But I can run it manually...